Xcode 4.2 and older iOS Devices

This is just a reminder for me, because I just caught myself solving the same problem the second time. If you are using an older device like 2g or 3g and your app does not install without any errors, try following these steps.